Bug 831929 - Review Request: grub-customizer - Grub Customizer is a graphical interface to configure the grub2/burg settings
Review Request: grub-customizer - Grub Customizer is a graphical interface to...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 01:24 EDT by Vasiliy Glazov
Modified: 2015-01-12 03:16 EST (History)
8 users (show)

See Also:
Fixed In Version: grub-customizer-4.0.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-06 23:22:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2012-06-14 01:24:01 EDT
Spec URL: https://raw.github.com/RussianFedora/grub-customizer/master/grub-customizer.spec
SRPM URL: http://koji.russianfedora.ru/packages/grub-customizer/2.5.6/1.fc17.R/src/grub-customizer-2.5.6-1.fc17.R.src.rpm
(version 2.5.7 will be soon)

Description:
Grub Customizer is a graphical interface to configure the grub2/burg settings
with focus on the individual list order - without losing the dynamical behavior
of grub.

The goal of this project is to create a complete and intuitive graphical
grub2/burg configuration interface. The main feature is the boot entry list
configuration - but not simply by modified the grub.cfg: to keep the dynamical
configuration, this application will only edit the script order and generate
proxies (script output filter), if required.


I need a sponsor for include this package in Fedora.
You can look at my Self introduction here http://lists.fedoraproject.org/pipermail/devel/2012-June/168330.html
Comment 2 leigh scott 2012-07-14 10:23:26 EDT
1. You need to validate the desktop file

https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files


2. You need to add a scriptlet to update the icon cache

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache 


3. You need to remove BuildRequires:  gcc-c++

https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2


4. You have mixed use of %{buildroot} and $RPM_BUILD_ROOT, use one only.


5. You need to remove the .R from the changelog


* Thu Jun 14 2012 Vasiliy N. Glazov <vascom2@gmail.com> 2.5.7-1.R
Comment 3 Vasiliy Glazov 2012-07-16 03:28:12 EDT
1. Added desktop file validate.
2. Scriptlet added.
3. BR gcc-c++ removed.
4. All changed to %{buildroot}
5. Changelog corrected.

6. Added patch correcting FSF address in sources https://bugs.launchpad.net/grub-customizer/+bug/1025147

And fedora-review not show problems except spelling warning:
grub-customizer.src: W: spelling-error %description -l en_US cfg -> cf, cg, cog

Spec URL: https://raw.github.com/RussianFedora/grub-customizer/master/grub-customizer.spec
SRPM URL: http://koji.russianfedora.ru/packages/grub-customizer/2.5.7/2.fc18.R/src/grub-customizer-2.5.7-2.fc18.R.src.rpm
Comment 4 Michael Schwendt 2012-07-16 16:14:30 EDT
> 6. Added patch correcting FSF address in sources

This is just insane. First it seemed as if you only patched a single license text file, but you patched all source files which is not your business as a packager:

Please notice:
http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address



> %config(noreplace) %{_sysconfdir}/%{name}/*

http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
 -> http://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 5 Vasiliy Glazov 2012-07-17 01:26:47 EDT
But here another reviewer told me make same patch https://bugzilla.redhat.com/show_bug.cgi?id=821404
And due to "The license file, usually COPYING, must not be patched for legal reasons. Other files can be patched if deemed suitable." I not patch license file, only sources.

> %config(noreplace) %{_sysconfdir}/%{name}/*
corrected to
%config(noreplace) %{_sysconfdir}/%{name}
Comment 6 Michael Schwendt 2012-07-17 07:09:46 EDT
The only requirement is to inform upstream. Patching the source files does not add any value, because it doesn't affect the built rpms. None of the patched source files enters the built rpms. The src.rpm includes the unpatched source tarball plus the optional patch. It could even be that the next upstream release removes source files, and then you would need to regenerate your patch, or it adds files and your patch would be out-of-date.

The "if deemed suitable" is the catch-all for files other than the original licensing terms, which may be a README or documentation that points at the FSF postal address. Correcting that may make sense in a similar way you would find it suitable to correct an updated/wrong web page URL.
Comment 7 Vasiliy Glazov 2012-07-17 07:17:04 EDT
OK. Should I remove patch now?
Comment 9 Christopher Meng 2013-05-27 06:05:01 EDT
I'll take this.
Comment 10 Christopher Meng 2013-05-27 06:29:50 EDT
Build failed:

Building CXX object CMakeFiles/grub-customizer.dir/src/View/Gtk/Element/PartitionChooser.cpp.o
/usr/lib/ccache/c++    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables  -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng15 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2    -o CMakeFiles/grub-customizer.dir/src/View/Gtk/Element/PartitionChooser.cpp.o -c /builddir/build/BUILD/grub-customizer-3.0.4/src/View/Gtk/Element/PartitionChooser.cpp
In file included from /usr/include/gtkmm-2.4/gtkmm/main.h:33:0,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.h:24,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.cpp:19:
/usr/include/gdkmm-2.4/gdkmm/types.h:92:7: error: 'Value' is not a class template
 class Value<Gdk::ByteOrder> : public Glib::Value_Enum<Gdk::ByteOrder>
       ^
/usr/include/gdkmm-2.4/gdkmm/types.h:92:54: error: expected template-name before '<' token
 class Value<Gdk::ByteOrder> : public Glib::Value_Enum<Gdk::ByteOrder>
                                                      ^
/usr/include/gdkmm-2.4/gdkmm/types.h:92:54: error: expected '{' before '<' token
/usr/include/gdkmm-2.4/gdkmm/types.h:92:54: error: expected unqualified-id before '<' token
In file included from /usr/include/gtkmm-2.4/gtkmm/main.h:33:0,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.h:24,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.cpp:19:
/usr/include/gdkmm-2.4/gdkmm/types.h:174:7: error: 'Value' is not a class template
 class Value<Gdk::ModifierType> : public Glib::Value_Flags<Gdk::ModifierType>
       ^
/usr/include/gdkmm-2.4/gdkmm/types.h:174:30: error: 'Glib::Value' is not a template type
 class Value<Gdk::ModifierType> : public Glib::Value_Flags<Gdk::ModifierType>
                              ^
/usr/include/gdkmm-2.4/gdkmm/types.h:174:58: error: expected template-name before '<' token
 class Value<Gdk::ModifierType> : public Glib::Value_Flags<Gdk::ModifierType>
                                                          ^
/usr/include/gdkmm-2.4/gdkmm/types.h:207:7: error: 'Value' is not a class template
 class Value<Gdk::Status> : public Glib::Value_Enum<Gdk::Status>
       ^
/usr/include/gdkmm-2.4/gdkmm/types.h:207:24: error: 'Glib::Value' is not a template type
 class Value<Gdk::Status> : public Glib::Value_Enum<Gdk::Status>
                        ^
/usr/include/gdkmm-2.4/gdkmm/types.h:207:51: error: expected template-name before '<' token
 class Value<Gdk::Status> : public Glib::Value_Enum<Gdk::Status>
                                                   ^
In file included from /usr/include/gtkmm-2.4/gtkmm/main.h:33:0,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.h:24,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.cpp:19:
/usr/include/gdkmm-2.4/gdkmm/types.h:274:7: error: 'Value' is not a class template
 class Value<Gdk::InputCondition> : public Glib::Value_Flags<Gdk::InputCondition>
       ^
/usr/include/gdkmm-2.4/gdkmm/types.h:274:32: error: 'Glib::Value' is not a template type
 class Value<Gdk::InputCondition> : public Glib::Value_Flags<Gdk::InputCondition>
                                ^
/usr/include/gdkmm-2.4/gdkmm/types.h:274:60: error: expected template-name before '<' token
 class Value<Gdk::InputCondition> : public Glib::Value_Flags<Gdk::InputCondition>
                                                            ^
/usr/include/gdkmm-2.4/gdkmm/types.h:357:9: error: 'ArrayHandle' in namespace 'Glib' does not name a type
 typedef Glib::ArrayHandle<std::string,AtomStringTraits> ArrayHandle_AtomString;
         ^
/usr/include/gdkmm-2.4/gdkmm/types.h:358:9: error: 'ListHandle' in namespace 'Glib' does not name a type
 typedef Glib::ListHandle<std::string,AtomStringTraits> ListHandle_AtomString;
         ^
In file included from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.h:24:0,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.cpp:19:
/usr/include/gtkmm-2.4/gtkmm/main.h:151:39: error: 'Glib::OptionContext' has not been declared
   Main(int& argc, char**& argv, Glib::OptionContext& option_context);
                                       ^
In file included from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.h:24:0,
                 from /builddir/build/BUILD/grub-customizer-3.0.4/src/Controller/GLib/ThreadController.cpp:19:
/usr/include/gtkmm-2.4/gtkmm/main.h:204:42: error: 'Glib::OptionContext' has not been declared
   static void add_gtk_option_group(Glib::OptionContext& option_context, bool open_default_display = true);
                                          ^
make[2]: *** [CMakeFiles/grub-customizer.dir/src/Controller/GLib/ThreadController.cpp.o] Error 1

Consider ask a fix from upstream.
Comment 11 Vasiliy Glazov 2013-05-27 07:02:41 EDT
This error on Fedora 19?
Comment 12 Christopher Meng 2013-05-27 22:33:02 EDT
(In reply to Vasiliy Glazov from comment #11)
> This error on Fedora 19?

No, 20.
Comment 13 Vasiliy Glazov 2013-05-28 07:22:43 EDT
Bugreport submited to upstream https://bugs.launchpad.net/grub-customizer/+bug/1184976
Comment 14 Christopher Meng 2013-08-08 20:42:45 EDT
Seems upstream does nothing?
Comment 15 Vasiliy Glazov 2013-08-09 01:52:08 EDT
3.0.4 - is the last release in 3 branch.
In 4 branch last changes was 2013-05-10.
Comment 16 Christopher Meng 2014-03-13 04:46:14 EDT
I need its latest version and review it. ;)
Comment 18 Christopher Meng 2014-03-26 06:09:13 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck:

GPL (v3 or later)
-----------------
grub-customizer-4.0.4/src/Controller/AboutController.h
grub-customizer-4.0.4/src/Controller/AboutControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/AboutControllerImpl.h
grub-customizer-4.0.4/src/Controller/ControllerAbstract.cpp
grub-customizer-4.0.4/src/Controller/ControllerAbstract.h
grub-customizer-4.0.4/src/Controller/ControllerCollection.h
grub-customizer-4.0.4/src/Controller/EntryEditController.h
grub-customizer-4.0.4/src/Controller/EntryEditControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/EntryEditControllerImpl.h
grub-customizer-4.0.4/src/Controller/EnvEditorController.h
grub-customizer-4.0.4/src/Controller/EnvEditorControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/EnvEditorControllerImpl.h
grub-customizer-4.0.4/src/Controller/ErrorController.h
grub-customizer-4.0.4/src/Controller/ErrorControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/ErrorControllerImpl.h
grub-customizer-4.0.4/src/Controller/GLib/ThreadController.cpp
grub-customizer-4.0.4/src/Controller/GLib/ThreadController.h
grub-customizer-4.0.4/src/Controller/Helper/DeviceInfo.cpp
grub-customizer-4.0.4/src/Controller/Helper/DeviceInfo.h
grub-customizer-4.0.4/src/Controller/InstallerController.h
grub-customizer-4.0.4/src/Controller/InstallerControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/InstallerControllerImpl.h
grub-customizer-4.0.4/src/Controller/MainController.h
grub-customizer-4.0.4/src/Controller/MainControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/MainControllerImpl.h
grub-customizer-4.0.4/src/Controller/SettingsController.h
grub-customizer-4.0.4/src/Controller/SettingsControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/SettingsControllerImpl.h
grub-customizer-4.0.4/src/Controller/ThemeController.h
grub-customizer-4.0.4/src/Controller/ThemeControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/ThemeControllerImpl.h
grub-customizer-4.0.4/src/Controller/ThreadController.h
grub-customizer-4.0.4/src/Controller/Trait/ControllerAware.h
grub-customizer-4.0.4/src/Controller/Trait/ThreadControllerAware.h
grub-customizer-4.0.4/src/Controller/TrashController.h
grub-customizer-4.0.4/src/Controller/TrashControllerImpl.cpp
grub-customizer-4.0.4/src/Controller/TrashControllerImpl.h
grub-customizer-4.0.4/src/Mapper/EntryName.h
grub-customizer-4.0.4/src/Mapper/EntryNameImpl.cpp
grub-customizer-4.0.4/src/Mapper/EntryNameImpl.h
grub-customizer-4.0.4/src/Model/DeviceDataList.cpp
grub-customizer-4.0.4/src/Model/DeviceDataList.h
grub-customizer-4.0.4/src/Model/DeviceDataListInterface.h
grub-customizer-4.0.4/src/Model/DeviceMap.cpp
grub-customizer-4.0.4/src/Model/DeviceMap.h
grub-customizer-4.0.4/src/Model/Entry.cpp
grub-customizer-4.0.4/src/Model/Entry.h
grub-customizer-4.0.4/src/Model/EntryPathBuilder.h
grub-customizer-4.0.4/src/Model/EntryPathBuilderImpl.cpp
grub-customizer-4.0.4/src/Model/EntryPathBuilderImpl.h
grub-customizer-4.0.4/src/Model/EntryPathFollower.h
grub-customizer-4.0.4/src/Model/Env.cpp
grub-customizer-4.0.4/src/Model/Env.h
grub-customizer-4.0.4/src/Model/FbResolutionsGetter.cpp
grub-customizer-4.0.4/src/Model/FbResolutionsGetter.h
grub-customizer-4.0.4/src/Model/Installer.cpp
grub-customizer-4.0.4/src/Model/Installer.h
grub-customizer-4.0.4/src/Model/ListCfg.cpp
grub-customizer-4.0.4/src/Model/ListCfg.h
grub-customizer-4.0.4/src/Model/MountTable.cpp
grub-customizer-4.0.4/src/Model/MountTable.h
grub-customizer-4.0.4/src/Model/Proxy.cpp
grub-customizer-4.0.4/src/Model/Proxy.h
grub-customizer-4.0.4/src/Model/ProxyScriptData.cpp
grub-customizer-4.0.4/src/Model/ProxyScriptData.h
grub-customizer-4.0.4/src/Model/Proxylist.cpp
grub-customizer-4.0.4/src/Model/Proxylist.h
grub-customizer-4.0.4/src/Model/PscriptnameTranslator.cpp
grub-customizer-4.0.4/src/Model/PscriptnameTranslator.h
grub-customizer-4.0.4/src/Model/Repository.cpp
grub-customizer-4.0.4/src/Model/Repository.h
grub-customizer-4.0.4/src/Model/Rule.cpp
grub-customizer-4.0.4/src/Model/Rule.h
grub-customizer-4.0.4/src/Model/Script.cpp
grub-customizer-4.0.4/src/Model/Script.h
grub-customizer-4.0.4/src/Model/ScriptSourceMap.cpp
grub-customizer-4.0.4/src/Model/ScriptSourceMap.h
grub-customizer-4.0.4/src/Model/SettingsManagerData.cpp
grub-customizer-4.0.4/src/Model/SettingsManagerData.h
grub-customizer-4.0.4/src/Model/SettingsStore.cpp
grub-customizer-4.0.4/src/Model/SettingsStore.h
grub-customizer-4.0.4/src/Model/SmartFileHandle.cpp
grub-customizer-4.0.4/src/Model/SmartFileHandle.h
grub-customizer-4.0.4/src/Model/Theme.cpp
grub-customizer-4.0.4/src/Model/Theme.h
grub-customizer-4.0.4/src/Model/ThemeFile.cpp
grub-customizer-4.0.4/src/Model/ThemeFile.h
grub-customizer-4.0.4/src/Model/ThemeManager.cpp
grub-customizer-4.0.4/src/Model/ThemeManager.h
grub-customizer-4.0.4/src/View/About.h
grub-customizer-4.0.4/src/View/ColorChooser.h
grub-customizer-4.0.4/src/View/EntryEditor.h
grub-customizer-4.0.4/src/View/EnvEditor.h
grub-customizer-4.0.4/src/View/Error.h
grub-customizer-4.0.4/src/View/Gtk/About.cpp
grub-customizer-4.0.4/src/View/Gtk/About.h
grub-customizer-4.0.4/src/View/Gtk/Element/List.h
grub-customizer-4.0.4/src/View/Gtk/Element/PartitionChooser.cpp
grub-customizer-4.0.4/src/View/Gtk/Element/PartitionChooser.h
grub-customizer-4.0.4/src/View/Gtk/EntryEditor.cpp
grub-customizer-4.0.4/src/View/Gtk/EntryEditor.h
grub-customizer-4.0.4/src/View/Gtk/EnvEditor.cpp
grub-customizer-4.0.4/src/View/Gtk/EnvEditor.h
grub-customizer-4.0.4/src/View/Gtk/Error.cpp
grub-customizer-4.0.4/src/View/Gtk/Error.h
grub-customizer-4.0.4/src/View/Gtk/Installer.cpp
grub-customizer-4.0.4/src/View/Gtk/Installer.h
grub-customizer-4.0.4/src/View/Gtk/Main.cpp
grub-customizer-4.0.4/src/View/Gtk/Main.h
grub-customizer-4.0.4/src/View/Gtk/Settings.cpp
grub-customizer-4.0.4/src/View/Gtk/Settings.h
grub-customizer-4.0.4/src/View/Gtk/Theme.cpp
grub-customizer-4.0.4/src/View/Gtk/Theme.h
grub-customizer-4.0.4/src/View/Gtk/Trash.cpp
grub-customizer-4.0.4/src/View/Gtk/Trash.h
grub-customizer-4.0.4/src/View/Installer.h
grub-customizer-4.0.4/src/View/Main.h
grub-customizer-4.0.4/src/View/Model/ListItem.h
grub-customizer-4.0.4/src/View/Settings.h
grub-customizer-4.0.4/src/View/Theme.h
grub-customizer-4.0.4/src/View/Trait/ViewAware.h
grub-customizer-4.0.4/src/View/Trash.h
grub-customizer-4.0.4/src/lib/ArrayStructure.cpp
grub-customizer-4.0.4/src/lib/ArrayStructure.h
grub-customizer-4.0.4/src/lib/ContentParser.h
grub-customizer-4.0.4/src/lib/ContentParser/Abstract.cpp
grub-customizer-4.0.4/src/lib/ContentParser/Abstract.h
grub-customizer-4.0.4/src/lib/ContentParser/Chainloader.cpp
grub-customizer-4.0.4/src/lib/ContentParser/Chainloader.h
grub-customizer-4.0.4/src/lib/ContentParser/FactoryImpl.cpp
grub-customizer-4.0.4/src/lib/ContentParser/FactoryImpl.h
grub-customizer-4.0.4/src/lib/ContentParser/Linux.cpp
grub-customizer-4.0.4/src/lib/ContentParser/Linux.h
grub-customizer-4.0.4/src/lib/ContentParser/LinuxIso.cpp
grub-customizer-4.0.4/src/lib/ContentParser/LinuxIso.h
grub-customizer-4.0.4/src/lib/ContentParser/Memtest.cpp
grub-customizer-4.0.4/src/lib/ContentParser/Memtest.h
grub-customizer-4.0.4/src/lib/ContentParserFactory.h
grub-customizer-4.0.4/src/lib/Exception.cpp
grub-customizer-4.0.4/src/lib/Exception.h
grub-customizer-4.0.4/src/lib/FileSystem.cpp
grub-customizer-4.0.4/src/lib/FileSystem.h
grub-customizer-4.0.4/src/lib/Logger.h
grub-customizer-4.0.4/src/lib/Logger/Stream.cpp
grub-customizer-4.0.4/src/lib/Logger/Stream.h
grub-customizer-4.0.4/src/lib/Mutex.h
grub-customizer-4.0.4/src/lib/Mutex/GLib.cpp
grub-customizer-4.0.4/src/lib/Mutex/GLib.h
grub-customizer-4.0.4/src/lib/Trait/ActionLoggerAware.h
grub-customizer-4.0.4/src/lib/Trait/LoggerAware.h
grub-customizer-4.0.4/src/lib/Type.h
grub-customizer-4.0.4/src/lib/assert.cpp
grub-customizer-4.0.4/src/lib/assert.h
grub-customizer-4.0.4/src/lib/csv.cpp
grub-customizer-4.0.4/src/lib/csv.h
grub-customizer-4.0.4/src/lib/md5.cpp
grub-customizer-4.0.4/src/lib/md5.h
grub-customizer-4.0.4/src/lib/regex.cpp
grub-customizer-4.0.4/src/lib/regex.h
grub-customizer-4.0.4/src/lib/str_replace.cpp
grub-customizer-4.0.4/src/lib/str_replace.h
grub-customizer-4.0.4/src/lib/trim.cpp
grub-customizer-4.0.4/src/lib/trim.h
grub-customizer-4.0.4/src/main/gtk-client.cpp

Unknown or generated
--------------------
grub-customizer-4.0.4/src/main/proxy.cpp
grub-customizer-4.0.4/translation/compile_all.sh

[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/polkit-1,
     /usr/share/polkit-1/actions
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in grub-customizer
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: grub-customizer-4.0.4-1.fc21.i686.rpm
          grub-customizer-4.0.4-1.fc21.src.rpm
grub-customizer.i686: W: spelling-error %description -l en_US cfg -> cf, cg, cog
grub-customizer.src: W: spelling-error %description -l en_US cfg -> cf, cg, cog
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint grub-customizer
grub-customizer.i686: W: spelling-error %description -l en_US cfg -> cf, cg, cog
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
grub-customizer (rpmlib, GLIBC filtered):
    /bin/sh
    config(grub-customizer)
    grub2
    libarchive.so.13
    libatk-1.0.so.0
    libatkmm-1.6.so.1
    libc.so.6
    libcairo-gobject.so.2
    libcairo.so.2
    libcairomm-1.0.so.1
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgdk-3.so.0
    libgdk_pixbuf-2.0.so.0
    libgdkmm-3.0.so.1
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    libgtk-3.so.0
    libgtkmm-3.0.so.1
    libm.so.6
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangomm-1.4.so.1
    libsigc-2.0.so.0
    libssl.so.10
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    rtld(GNU_HASH)



Provides
--------
grub-customizer:
    application()
    application(grub-customizer.desktop)
    config(grub-customizer)
    grub-customizer
    grub-customizer(x86-32)



Source checksums
----------------
https://launchpad.net/grub-customizer/4.0/4.0.4/+download/grub-customizer_4.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : fa54316bddb247857618f7c615b264845acd4f4b2aa9696ba354e7e8756eae22
  CHECKSUM(SHA256) upstream package : fa54316bddb247857618f7c615b264845acd4f4b2aa9696ba354e7e8756eae22


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn grub-customizer-4.0.4-1.fc21.R.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-----------------------------------------
1. %{buildroot}/ --> %{buildroot}

2. My opinion is that the grub.cfg should be in sourceX but not inlined in the SPEC as everytime you update the package the timestamp will be changed.

No -p option(worthless if you use EOF)

I just tested this package and it worked pretty well!

Fix above before SCM import.

PACKAGE APPROVED.
Comment 19 Vasiliy Glazov 2014-03-26 06:11:48 EDT
OK, I will fix it. Thanks.
Comment 20 Christopher Meng 2014-03-26 06:12:38 EDT
One suggestion:

Summary:        Grub Customizer is a graphical interface to configure the grub2/burg settings

-->

Summary:        Graphical GRUB2 settings manager
Comment 21 Vasiliy Glazov 2014-03-26 06:20:28 EDT
New Package SCM Request
=======================
Package Name: grub-customizer
Short Description: Graphical GRUB2 settings manager
Owners: vascom
Branches: f20 f19 el6
InitialCC:
Comment 22 Jon Ciesla 2014-03-26 08:00:47 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2014-03-26 08:59:53 EDT
grub-customizer-4.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/grub-customizer-4.0.4-1.fc20
Comment 24 Fedora Update System 2014-03-26 09:11:18 EDT
grub-customizer-4.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/grub-customizer-4.0.4-1.fc19
Comment 25 Fedora Update System 2014-03-27 00:42:19 EDT
grub-customizer-4.0.4-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 26 Fedora Update System 2014-03-27 13:24:23 EDT
grub-customizer-4.0.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/grub-customizer-4.0.4-2.fc20
Comment 27 Fedora Update System 2014-03-27 13:33:16 EDT
grub-customizer-4.0.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/grub-customizer-4.0.4-2.fc19
Comment 28 Fedora Update System 2014-04-06 23:22:23 EDT
grub-customizer-4.0.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2014-04-06 23:23:14 EDT
grub-customizer-4.0.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Parag AN(पराग) 2015-01-12 03:16:28 EST
Clearing FE-NEEDSPONSOR.

Note You need to log in before you can comment on or make changes to this bug.